Bullet Collision Detection & Physics Library: btReducedVector.h File Reference

Bullet Collision Detection & Physics Library

Classes | Functions
btReducedVector.h File Reference
`#include "btVector3.h"`
`#include "btMatrix3x3.h"`
`#include "btAlignedObjectArray.h"`
`#include <stdio.h>`
`#include <vector>`
`#include <algorithm>`
Include dependency graph for btReducedVector.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | TwoInts
class | btReducedVector

## Functions
bool | operator< (const TwoInts &A, const TwoInts &B)
btReducedVector | operator* (const btReducedVector &v, btScalar s)
btReducedVector | operator* (btScalar s, const btReducedVector &v)
btReducedVector | operator/ (const btReducedVector &v, btScalar s)
btReducedVector & | operator/= (btReducedVector &v, btScalar s)
btReducedVector & | operator+= (btReducedVector &v1, const btReducedVector &v2)
btReducedVector & | operator-= (btReducedVector &v1, const btReducedVector &v2)

## Function Documentation

## ◆ operator*() [1/2]

btReducedVector operator* | ( | btScalar | s,
|  | const btReducedVector & | v )
| inline

Definition at line 292 of file btReducedVector.h.

## ◆ operator*() [2/2]

btReducedVector operator* | ( | const btReducedVector & | v,
|  | btScalar | s )
| inline

Definition at line 280 of file btReducedVector.h.

## ◆ operator+=()

btReducedVector & operator+= | ( | btReducedVector & | v1,
|  | const btReducedVector & | v2 )
| inline

Definition at line 308 of file btReducedVector.h.

## ◆ operator-=()

btReducedVector & operator-= | ( | btReducedVector & | v1,
|  | const btReducedVector & | v2 )
| inline

Definition at line 314 of file btReducedVector.h.

## ◆ operator/()

btReducedVector operator/ | ( | const btReducedVector & | v,
|  | btScalar | s )
| inline

Definition at line 297 of file btReducedVector.h.

## ◆ operator/=()

btReducedVector & operator/= | ( | btReducedVector & | v,
|  | btScalar | s )
| inline

Definition at line 302 of file btReducedVector.h.

## ◆ operator<()

bool operator< | ( | const TwoInts & | A,
|  | const TwoInts & | B )
| inline

Definition at line 19 of file btReducedVector.h.